Bug 1307172 - Duplicate package
Duplicate package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-livereload (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 17:17 EST by William Moreno
Modified: 2016-06-22 06:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-22 06:07:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2016-02-12 17:17:59 EST
How can say it.... well I have livereload packaged since 2015 as:

https://admin.fedoraproject.org/pkgdb/package/rpms/livereload/

Both have the same source.
Comment 1 Fedora Admin XMLRPC Client 2016-02-15 00:55:59 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2016-02-15 01:03:09 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Parag Nemade 2016-02-15 01:11:09 EST
Well, its our packaging guidelines which do not states pypi sources should be packaged with prefix "python-". So one can package it with or without "python-" prefix. 

But there is following written in naming guidelines of python 
"Packages of python modules (thus they rely on python as a parent) use a slightly different naming scheme. They should take into account the upstream name of the python module. This makes a package name format of python-$NAME."

Sundeep,
   Please retire your package as "livereload" already in Fedora. Wish fedora-review could have catch this in its evaluation. While I reviewed this package I could not find any way to find "livereload" package.
Follow, https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 4 Fedora Admin XMLRPC Client 2016-02-15 01:18:32 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Sundeep Anand 2016-02-15 01:38:12 EST
Sorry, I was following https://bugzilla.redhat.com/show_bug.cgi?id=1030755 and hence the mistake. Retiring https://admin.fedoraproject.org/pkgdb/package/rpms/python-livereload/
Comment 6 William Moreno 2016-02-15 09:45:49 EST
In my first try to package this lib I was going for python-livereload with python2 and python3 support, but reviewer request to remane to livereload and only support python3, do you need python2 support? livereload provides python3-livereload and I can provide python2-livereload, this is not a big issue, do you want to comanintaing the package?
Comment 7 William Moreno 2016-02-15 09:47:22 EST
https://bugzilla.redhat.com/show_bug.cgi?id=1230968#c6
Comment 8 Matthias Runge 2016-02-15 12:50:31 EST
Shouldn't the other livereload package being renamed properly? My reasoning would be, it's primarily a library, where the package also provides an executable script.
Comment 9 Matthias Runge 2016-02-15 12:50:45 EST
Filed https://bugzilla.redhat.com/show_bug.cgi?id=1308681
Comment 10 Jan Kurik 2016-02-24 09:31:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.